<?php class Header
{


    /**
     * @param $name
     */
    public function showHeader($name)
    {
        echo ("<!doctype html>
<!--
Material Design Lite
  Copyright 2015 Google Inc. All rights reserved.

Licensed under the Apache License, Version 2.0 (the \"License\");
  you may not use this file except in compliance with the License.
You may obtain a copy of the License at

      https://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an \"AS IS\" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License
-->
<html lang=\"de\">
  <head>
    <meta charset=\"utf-8\">
    <meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\">
    <meta name=\"description\" content=\"A front-end template that helps you build fast, modern mobile web apps.\">
    <meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0, minimum-scale=1.0\">
    <title>BOS Funk | Webinterface</title>

    <link rel=\"shortcut icon\" href=\"../../images/favicon.png\">

    <!-- SEO: If your mobile URL is different from the desktop URL, add a canonical link to the desktop page https://developers.google.com/webmasters/smartphone-sites/feature-phones -->
    <!--
    <link rel=\"canonical\" href=\"http://www.example.com/\">
    -->

      <link rel=\"stylesheet\"  href=\"styles.css\">
    <link rel=\"stylesheet\" href=\"https://fonts.googleapis.com/css?family=Roboto:regular,bold,italic,thin,light,bolditalic,black,medium&amp;lang=en\">
    <link rel=\"stylesheet\" href=\"https://fonts.googleapis.com/icon?family=Material+Icons\">
    <link rel=\"stylesheet\" href=\"https://code.getmdl.io/1.3.0/material.cyan-light_blue.min.css\">
      <link rel=\"stylesheet\" href=\"../global/getmdl-select.min.css\">
      <script defer src=\"../global/js/getmdl-select.min.js\"></script>


      <style>
#view-source {
position: fixed;
      display: block;
      right: 0;
      bottom: 0;
      margin-right: 40px;
      margin-bottom: 40px;
      z-index: 900;
    }
    </style>
  </head>
  <body>
  <div class=\"demo-layout mdl-layout mdl-js-layout mdl-layout--fixed-drawer mdl-layout--fixed-header\">
      <header class=\"demo-header mdl-layout__header mdl-color--grey-100 mdl-color-text--grey-600\">
          <div class=\"mdl-layout__header-row\">
              <span class=\"mdl-layout-title\"> " . $name) . "</span>
              <div class=\"mdl-layout-spacer\"></div>
              <button  onclick=\"window.location.href='../scripts/logout.php'\" class=\"mdl-button mdl-js-button mdl-js-ripple-effect mdl-button--icon mdl-link--to\" id=\"hdrbtn\">
                 <i class=\"material-icons\">power_settings_new</i>
              </button>
          </div>
      </header>
      <div class=\"demo-drawer mdl-layout__drawer mdl-color--blue-grey-900 mdl-color-text--blue-grey-50\">
          <header class=\"demo-drawer-header\">
              <img src=\"../images/user.jpg\" class=\"demo-avatar\">
              <div class=\"demo-avatar-dropdown\">
                  <span>" . $_SESSION['Name'] . "</span>
                  <div class=\"mdl-layout-spacer\"></div>
                  <button id=\"accbtn\" class=\"mdl-button mdl-js-button mdl-js-ripple-effect mdl-button--icon\">
                      <span class=\"visuallyhidden\">Accounts</span>
                  </button>
              </div>
          </header>
          <nav class=\"demo-navigation mdl-navigation mdl-color--blue-grey-800\">
              <a class=\"mdl-navigation__link\" href=\"../index.php\"><i class=\"mdl-color-text--blue-grey-400 material-icons\" role=\"presentation\">home</i>Home</a>
              <a class=\"mdl-navigation__link\" href=\"administration.php\"><i class=\"mdl-color-text--blue-grey-400 material-icons\" role=\"presentation\">inbox</i>Verwaltung</a>
              <a class=\"mdl-navigation__link\" href=\"ff.php\"><i class=\"mdl-color-text--blue-grey-400 material-icons\" role=\"presentation\">directions_bus</i>Feuerwehr</a>
              <a class=\"mdl-navigation__link\" href=\"police.php\"><i class=\"mdl-color-text--blue-grey-400 material-icons\" role=\"presentation\">local_taxi</i>Polizei</a>
              <a class=\"mdl-navigation__link\" href=\"ambulance.php\"><i class=\"mdl-color-text--blue-grey-400 material-icons\" role=\"presentation\">local_hospital</i>Rettungsdienst</a>
              <a class=\"mdl-navigation__link\" href=\"thw.php\"><i class=\"mdl-color-text--blue-grey-400 material-icons\" role=\"presentation\">local_shipping</i>THW</a>
      </div>";

    }

}



